Name:           dcc
Version:        1.3.79
Release:        1%{?dist}
Summary:        Distributed Checksum Clearinghouse

Group:          Applications/Internet
License:        Other
URL:            http://www.rhyolite.com/anti-spam/dcc
Source0:        http://www.rhyolite.com/anti-spam/dcc/source/dcc.tar.Z
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
The DCC or Distributed Checksum Clearinghouse is an anti-spam content filter
that runs on a variety of operating systems. As of mid-2006, it involves
millions of users, tens of thousands of clients and more than 250 servers
collecting and counting checksums related to more than 300 million mail
messages on week days. The counts can be used by SMTP servers and mail user
agents to detect and reject or filter spam or unsolicited bulk mail. DCC
servers exchange or "flood" common checksums. The checksums include values
that are constant across common variations in bulk messages, including
"personalizations."

The idea of the DCC is that if mail recipients could compare the mail they
receive, they could recognize unsolicited bulk mail. A DCC server totals
reports of checksums of messages from clients and answers queries about the
total counts for checksums of mail messages. A DCC client reports the
checksums for a mail message to a server and is told the total number of
recipients of mail with each checksum. If one of the totals is higher than a
threshold set by the client and according to local whitelists the message is
unsolicited, the DCC client can log, discard, or reject the message.


%prep
%setup -q


%build
./configure --with-installroot=$RPM_BUILD_ROOT \
  --bindir=%{_bindir} --mandir=%{_mandir} --libexecdir=%{_libexecdir} \
  --homedir=%{_sysconfdir}/dcc
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
( export CHOWNPROG=true;
  export CHGRPPROG=true;
  make install DESTDIR=$RPM_BUILD_ROOT )
rmdir $RPM_BUILD_ROOT/etc/dcc/log
mkdir -p $RPM_BUILD_ROOT/var/log/dcc
ln -s ../../var/log/dcc $RPM_BUILD_ROOT/etc/dcc/log


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc *.txt *.html
%{_bindir}/cdcc
%{_bindir}/dccproc
%{_bindir}/dccif-test
%{_mandir}/man8/*
%{_libexecdir}/*
%dir %{_sysconfdir}/dcc
%{_sysconfdir}/dcc/log
%dir /var/log/dcc
%config %{_sysconfdir}/dcc/dcc_conf
%config %{_sysconfdir}/dcc/flod
%config %{_sysconfdir}/dcc/grey_flod
%config %{_sysconfdir}/dcc/grey_whitelist
%config %{_sysconfdir}/dcc/ids
%{_sysconfdir}/dcc/map
%config %{_sysconfdir}/dcc/map.txt
%config %{_sysconfdir}/dcc/whiteclnt
%config %{_sysconfdir}/dcc/whitecommon
%config %{_sysconfdir}/dcc/whitelist


%changelog
* Tue Aug 22 2006 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.3.79-1
- first version of the spec file
